%define real_ver 4.0

Summary:    The card game Skat
Name:       xskat
Version:    %{real_ver}.0
Release:    1
# https://fedoraproject.org/wiki/Licensing/XSkat_License
License:    XSkat
Group:      Amusements/Games
Source0:    http://www.xskat.de/%{name}-%{real_ver}.tar.gz
URL:        http://www.xskat.de/xskat.html
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root


%description
XSkat lets you play the card game Skat as defined by the official Skat Order.

Features:
    * Single- and multiplayer mode
    * Playing over LAN or IRC
    * Game lists and logs
    * Three types of scoring
    * English or German text
    * German or French suited cards
    * Selectable computer playing strength
    * Pre-definable card distributions
    * Variations: Ramsch, Bock, Kontra & Re, ... 


%prep
%setup -q -n %{name}-%{real_ver}


%build
./configure \
    --prefix=%{_prefix}

make %{?_smp_mflags} CDEBUGFLAGS="${CFLAGS}"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} BINDIR=%{_bindir} MANDIR=%{_mandir}/man6 MANSUFFIX=6 install install.man

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

chmod 644 ${RPM_BUILD_ROOT}%{_mandir}/man6/xskat.6*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README* CHANGES*
%{_bindir}/*
%{_mandir}/man6/%{name}.6
/usr/bin/*


%changelog
* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 4.0.0-1
- first version for AIX V5.1 and higher
